<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imabsdiff</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">&lt;&lt; Image Arithmetic</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imadd.html">imadd &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a> &gt; imabsdiff</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imabsdiff</h1>
    <p class="refpurpose">Calculate absolute difference of two images</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imabsdiff</span><span class="default">(</span><span class="default">im1</span><span class="default">, </span><span class="default">im2</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im1, im2 :</span>
      <dd><p class="para">Input images, which can be any kinds of images, but must have the same width, height, class and number of channels.</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">The absolute difference of two input images.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imabsdiff calculate the absolute difference of two images. The two input images must have the same width, height, class and number of channels.</p>
   <p class="para">If im1 and im2 are an integer matrices, the elements in the output matrix imout that exceed the range of the integer type will be truncated.</p>
   <p class="para">Supported classes: INT8, UINT8, INT16, UINT16, INT32, DOUBLE.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imadd.html" class="link">imadd</a></li>
   <li class="member"><a href="imsubtract.html" class="link">imsubtract</a></li>
   <li class="member"><a href="immultiply.html" class="link">immultiply</a></li>
   <li class="member"><a href="imdivide.html" class="link">imdivide</a></li>
   <li class="member"><a href="imcomplement.html" class="link">imcomplement</a></li>
   <li class="member"><a href="imlincomb.html" class="link">imlincomb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">&lt;&lt; Image Arithmetic</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imadd.html">imadd &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
